commit f696775c43cc38233b037bf677f72b9b9c0b2cba
Author: Thomas Schwinge <thomas@codesourcery.com>
Date:   Fri Nov 6 09:18:06 2020 +0100

    [testsuite] Enable column location checking for 'dg-optimized', 'dg-missed'
    
    'process-message' would like the 'msgprefix' argument without trailing space.
    
    This is a small bug-fix for commit ed2d9d3720adef3a260b8a55e17e744352a901fc
    "dumpfile.c: use prefixes other than 'note: ' for
    MSG_{OPTIMIZED_LOCATIONS|MISSED_OPTIMIZATION}", which added 'dg-optimized',
    'dg-missed'.
    
            gcc/testsuite/
            * lib/gcc-dg.exp (dg-optimized, dg-missed): Fix 'process-message'
            call.
            * gcc.dg/vect/nodump-vect-opt-info-1.c: Demonstrate.
            * gcc.dg/vect/nodump-vect-opt-info-2.c: Likewise.
    
    (cherry picked from commit 24b553d0f73ffea2551a77c67859ad6fe44110a6)

diff --git a/gcc/testsuite/gcc.dg/vect/nodump-vect-opt-info-1.c b/gcc/testsuite/gcc.dg/vect/nodump-vect-opt-info-1.c
index 3bfe498ef0a..1bc35d9ec5f 100644
--- a/gcc/testsuite/gcc.dg/vect/nodump-vect-opt-info-1.c
+++ b/gcc/testsuite/gcc.dg/vect/nodump-vect-opt-info-1.c
@@ -5,8 +5,8 @@ void
 vadd (int *dst, int *op1, int *op2, int count)
 {
 /* { dg-prune-output " version\[^\n\r]* alignment" } */
-/* { dg-optimized "loop vectorized" "" { target *-*-* } .+2 } */
-/* { dg-optimized "loop versioned for vectorization because of possible aliasing" "" { target *-*-* } .+1 } */
+/* { dg-optimized "3: loop vectorized" "" { target *-*-* } .+2 } */
+/* { dg-optimized "3: loop versioned for vectorization because of possible aliasing" "" { target *-*-* } .+1 } */
   for (int i = 0; i < count; ++i)
     dst[i] = op1[i] + op2[i];
 }
diff --git a/gcc/testsuite/gcc.dg/vect/nodump-vect-opt-info-2.c b/gcc/testsuite/gcc.dg/vect/nodump-vect-opt-info-2.c
index 94c55a92bb4..c426d19eb41 100644
--- a/gcc/testsuite/gcc.dg/vect/nodump-vect-opt-info-2.c
+++ b/gcc/testsuite/gcc.dg/vect/nodump-vect-opt-info-2.c
@@ -6,7 +6,7 @@ extern void accumulate (int x, int *a);
 int test_missing_function_defn (int *arr, int n) /* { dg-message "vectorized 0 loops in function" } */
 {
   int sum = 0;
-  for (int i = 0; i < n; ++i) /* { dg-missed "couldn't vectorize loop" } */
-    accumulate (arr[i], &sum); /* { dg-missed "statement clobbers memory: accumulate \\(.*\\);" } */
+  for (int i = 0; i < n; ++i) /* { dg-missed "3: couldn't vectorize loop" } */
+    accumulate (arr[i], &sum); /* { dg-missed "5: statement clobbers memory: accumulate \\(.*\\);" } */
   return sum;
 }
